classification
Title: Fix test discovery for test_genericpath.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, python-dev, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2013-01-03 16:58 by zach.ware, last changed 2013-01-10 01:32 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue16852.v2.diff zach.ware, 2013-01-03 16:59 Version 2 review
issue16852.v3.diff zach.ware, 2013-01-04 21:30 Version 3 (the real version 2) review
issue16852.v4.diff zach.ware, 2013-01-09 15:17 Version 4 review
Messages (6)
msg178967 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-03 16:58
See Issue 16748 for previous discussion.

This patch should fix test_genericpath.py, with changes to test_macpath.py, test_ntpath.py, and test_posixpath.py required by the fix to test_genericpath.py.  This is version 2 of the patch after a review by Serhiy Storchaka in issue 16748.
msg179073 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-04 19:38
It looks as v1.
msg179081 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-04 21:30
My apologies, I seem to have managed to rename the wrong file...

Here's the real v2 as v3, with the TestGenericTest comment pointing to this issue instead of 16748.
msg179450 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-09 15:17
Version 4 replaces test_main() with unittest.main()
msg179508 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-10 01:30
New changeset 6f71e6aa9041 by Ezio Melotti in branch '3.3':
#16852: test_genericpath, test_posixpath, test_ntpath, and test_macpath now work with unittest test discovery.  Patch by Zachary Ware.
http://hg.python.org/cpython/rev/6f71e6aa9041

New changeset 3a7cd8efc19f by Ezio Melotti in branch 'default':
#16852: merge with 3.3.
http://hg.python.org/cpython/rev/3a7cd8efc19f
msg179509 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-10 01:32
Fixed, thanks for the patch!
History
Date User Action Args
2013-01-10 01:32:07ezio.melottisetstatus: open -> closed
messages: + msg179509

assignee: ezio.melotti
resolution: fixed
stage: patch review -> resolved
2013-01-10 01:30:06python-devsetnosy: + python-dev
messages: + msg179508
2013-01-09 15:17:56zach.waresetfiles: + issue16852.v4.diff

messages: + msg179450
2013-01-04 21:30:43zach.waresetfiles: + issue16852.v3.diff

messages: + msg179081
2013-01-04 19:38:17serhiy.storchakasetmessages: + msg179073
2013-01-03 17:12:44brett.cannonlinkissue16748 dependencies
2013-01-03 16:59:43ezio.melottisetnosy: + ezio.melotti

stage: patch review
2013-01-03 16:59:14zach.waresetfiles: + issue16852.v2.diff
keywords: + patch
2013-01-03 16:58:41zach.warecreate